org.codehaus.plexus.component.composition

## Class FieldComponentComposer

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.component.composition.AbstractComponentComposer
    - - org.codehaus.plexus.component.composition.FieldComponentComposer

All Implemented Interfaces:
  ComponentComposer, LogEnabled

    public class FieldComponentComposer
    extends AbstractComponentComposer

Version:
  $Id: FieldComponentComposer.java 2097 2005-06-07 00:08:45Z jdcasey $
Author:
  Jason van Zyl, Michal Maczka

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.composition.ComponentComposer

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`FieldComponentComposer()`

### Method Summary

Methods
`List` `assembleComponent(Object component, ComponentDescriptor componentDescriptor, PlexusContainer container)`
`protected Field` `findMatchingField(Object component, ComponentDescriptor componentDescriptor, ComponentRequirement requirement, PlexusContainer container)`
`protected Field` `getFieldByName(Object component, String fieldName, ComponentDescriptor componentDescriptor)`
`protected Field` `getFieldByType(Object component, Class type, ComponentDescriptor componentDescriptor)`
`protected Field` `getFieldByTypeIncludingSuperclasses(Class componentClass, Class type, ComponentDescriptor componentDescriptor)`
`protected List` `getFieldsByTypeIncludingSuperclasses(Class componentClass, Class type, ComponentDescriptor componentDescriptor)`

### Methods inherited from class org.codehaus.plexus.component.composition.AbstractComponentComposer

`getId`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldComponentComposer

    public FieldComponentComposer()

### Method Detail

#### assembleComponent

    public List assembleComponent(Object component,
                         ComponentDescriptor componentDescriptor,
                         PlexusContainer container)
                           throws CompositionException

Returns:
  List of ComponentDescriptors which were used by ComponentComposer
Throws:
  `CompositionException`

#### findMatchingField

    protected Field findMatchingField(Object component,
                          ComponentDescriptor componentDescriptor,
                          ComponentRequirement requirement,
                          PlexusContainer container)
                               throws CompositionException

Throws:
  `CompositionException`

#### getFieldByName

    protected Field getFieldByName(Object component,
                       String fieldName,
                       ComponentDescriptor componentDescriptor)
                            throws CompositionException

Throws:
  `CompositionException`

#### getFieldByTypeIncludingSuperclasses

    protected Field getFieldByTypeIncludingSuperclasses(Class componentClass,
                                            Class type,
                                            ComponentDescriptor componentDescriptor)
                                                 throws CompositionException

Throws:
  `CompositionException`

#### getFieldsByTypeIncludingSuperclasses

    protected List getFieldsByTypeIncludingSuperclasses(Class componentClass,
                                            Class type,
                                            ComponentDescriptor componentDescriptor)
                                                 throws CompositionException

Throws:
  `CompositionException`

#### getFieldByType

    protected Field getFieldByType(Object component,
                       Class type,
                       ComponentDescriptor componentDescriptor)
                            throws CompositionException

Throws:
  `CompositionException`